Debian Bug report logs - #624637
transition: libquicktime

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Alessio Treglia <alessio@debian.org>

Date: Sat, 30 Apr 2011 09:09:58 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Sat, 30 Apr 2011 09:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
New Bug report received and forwarded. Copy sent to pkg-multimedia-maintainers@lists.alioth.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Apr 2011 09:10:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: libquicktime
Date: Sat, 30 Apr 2011 10:56:21 +0200
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi!

I've uploaded the new release of libquicktime to experimental and I'd like to upload it to unstable too.
Although the SONAME has been bumped I think no porting is needed, so a rebuild might be the solution for most packages affected by this:

dvgrab
gem
gmerlin
kino
mlt
pdp
smilutils
xawtv

Please let me know when I can start the transition.
Thanks in advance.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=it_IT.utf8, LC_CTYPE=it_IT.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Sat, 30 Apr 2011 09:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Apr 2011 09:45:08 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: Alessio Treglia <alessio@debian.org>
Cc: 624637@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#624637: transition: libquicktime
Date: Sat, 30 Apr 2011 11:43:25 +0200
Alessio Treglia <alessio@debian.org> writes:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
>
> Hi!
>
> I've uploaded the new release of libquicktime to experimental and I'd like to upload it to unstable too.
> Although the SONAME has been bumped I think no porting is needed, so a rebuild might be the solution for most packages affected by this:

Would be nice to know why *Debian* change the library soname.

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Sat, 30 Apr 2011 09:45:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Apr 2011 09:45:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Sat, 30 Apr 2011 09:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Apr 2011 09:57:27 GMT) Full text and rfc822 format available.

Message #20 received at 624637@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Christian Marillat <marillat@debian.org>
Cc: 624637@bugs.debian.org
Subject: Re: Bug#624637: transition: libquicktime
Date: Sat, 30 Apr 2011 11:52:47 +0200
On Sat, Apr 30, 2011 at 11:43 AM, Christian Marillat
<marillat@debian.org> wrote:
> Would be nice to know why *Debian* change the library soname.

A symbol has been dropped and some functions signature have changed.
Is it enough for you?


-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Sat, 30 Apr 2011 10:06:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Apr 2011 10:06:20 GMT) Full text and rfc822 format available.

Message #25 received at 624637@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: Alessio Treglia <alessio@debian.org>
Cc: 624637@bugs.debian.org
Subject: Re: Bug#624637: transition: libquicktime
Date: Sat, 30 Apr 2011 12:02:31 +0200
Alessio Treglia <alessio@debian.org> writes:

> On Sat, Apr 30, 2011 at 11:43 AM, Christian Marillat
> <marillat@debian.org> wrote:
>> Would be nice to know why *Debian* change the library soname.
>
> A symbol has been dropped and some functions signature have changed.
> Is it enough for you?

Which symbol and wich functions ?

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Sat, 30 Apr 2011 10:27:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Apr 2011 10:27:30 GMT) Full text and rfc822 format available.

Message #30 received at 624637@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Christian Marillat <marillat@debian.org>
Cc: 624637@bugs.debian.org
Subject: Re: Bug#624637: transition: libquicktime
Date: Sat, 30 Apr 2011 12:23:40 +0200
On Sat, Apr 30, 2011 at 12:02 PM, Christian Marillat
<marillat@debian.org> wrote:
> Which symbol and wich functions ?

lqt_start_audio_vbr_chunk is no longer provided [1] by the shlib.
Other changes have been made to exported symbols (like
quicktime_write_chunk_footer, quicktime_write_chunk_header) [2].

[1] http://git.debian.org/?p=pkg-multimedia/libquicktime.git;a=commitdiff;h=35d6da8a009
[2] http://git.debian.org/?p=pkg-multimedia/libquicktime.git;a=commitdiff;h=449bf7252b

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Sat, 30 Apr 2011 10:27:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Apr 2011 10:27:38 GMT) Full text and rfc822 format available.

Message #35 received at 624637@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@debian.org>
To: Alessio Treglia <alessio@debian.org>
Cc: 624637@bugs.debian.org
Subject: Re: Bug#624637: transition: libquicktime
Date: Sat, 30 Apr 2011 12:24:09 +0200
Alessio Treglia <alessio@debian.org> writes:

> On Sat, Apr 30, 2011 at 11:43 AM, Christian Marillat
> <marillat@debian.org> wrote:
>> Would be nice to know why *Debian* change the library soname.
>
> A symbol has been dropped and some functions signature have changed.

OK I see.

> Is it enough for you?

For me ? You always forget that I'm a Debian developper and here my
main concern is to have Debian binaries installable in other distro and
vice versa.

For now only Debian use a soname of 1 and 2 now.

Christian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Sat, 30 Apr 2011 10:39:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 30 Apr 2011 10:39:58 GMT) Full text and rfc822 format available.

Message #40 received at 624637@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Christian Marillat <marillat@debian.org>
Cc: 624637@bugs.debian.org
Subject: Re: Bug#624637: transition: libquicktime
Date: Sat, 30 Apr 2011 12:37:38 +0200
On Sat, Apr 30, 2011 at 12:24 PM, Christian Marillat
<marillat@debian.org> wrote:
> For me ? You always forget that I'm a Debian developper and here my
> main concern is to have Debian binaries installable in other distro and
> vice versa.

OK, and sorry to have been rude.

Keep up the good work!


-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Wed, 18 May 2011 21:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 May 2011 21:21:10 GMT) Full text and rfc822 format available.

Message #45 received at 624637@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 624637@bugs.debian.org
Subject: Re: Bug#624637: transition: libquicktime
Date: Wed, 18 May 2011 21:13:42 +0000
As an aside: Ubuntu's libquicktime transition has gone fine.

      https://launchpad.net/bugs/773968

Regards,

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Tue, 24 May 2011 14:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 24 May 2011 14:09:08 GMT) Full text and rfc822 format available.

Message #50 received at 624637@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Alessio Treglia <alessio@debian.org>, 624637@bugs.debian.org
Subject: Re: Bug#624637: transition: libquicktime
Date: Tue, 24 May 2011 16:04:04 +0200
tags 624637 + pending
thanks

On 18/05/2011 23:13, Alessio Treglia wrote:
> As an aside: Ubuntu's libquicktime transition has gone fine.
> 
>       https://launchpad.net/bugs/773968
> 

Good. Please go ahead!

Note that xawtv needs an NMU for this transition. Can you take care of
that as well?

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Added tag(s) pending. Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Tue, 24 May 2011 14:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#624637; Package release.debian.org. (Tue, 24 May 2011 14:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 24 May 2011 14:30:07 GMT) Full text and rfc822 format available.

Message #57 received at 624637@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 624637@bugs.debian.org
Subject: Re: Bug#624637: transition: libquicktime
Date: Tue, 24 May 2011 14:26:57 +0000
On Tue, May 24, 2011 at 2:04 PM, Mehdi Dogguy <mehdi@dogguy.org> wrote:
> Good. Please go ahead!

Uploaded, thanks.

> Note that xawtv needs an NMU for this transition. Can you take care of
> that as well?

Of course I can, I'll NMU it within few days.

Regards,

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Tue, 31 May 2011 15:18:16 GMT) Full text and rfc822 format available.

Notification sent to Alessio Treglia <alessio@debian.org>:
Bug acknowledged by developer. (Tue, 31 May 2011 15:18:16 GMT) Full text and rfc822 format available.

Message #62 received at 624637-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Alessio Treglia <alessio@debian.org>, 624637-done@bugs.debian.org
Subject: Re: Bug#624637: transition: libquicktime
Date: Tue, 31 May 2011 17:16:58 +0200
On 24/05/2011 16:26, Alessio Treglia wrote:
> On Tue, May 24, 2011 at 2:04 PM, Mehdi Dogguy <mehdi@dogguy.org> wrote:
>> Good. Please go ahead!
> 
> Uploaded, thanks.
> 

$ dak ls -s unstable,testing libquicktime
libquicktime |  2:1.2.2-3 |       testing | source
libquicktime |  2:1.2.2-3 |      unstable | source

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Jun 2011 07:34:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:48:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.